Subject: Re: bug#69519: 1gb file too big for Emacs to handle?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Mar 2024 14:17:20 +0200

> From: Bruno Barbier <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 06 Mar 2024 09:48:19 +0100
> 
> The file extension is ".txt.lisp"; it contains 3 lines, and is about
> 950MB.  The whole content is on the second lines, the 2 other ones being
> only a few char long.

Thanks, this will certainly hit the issues with very long lines.

> Using GNU Emacs 29.2 (emacs -Q), opening it literally when asked, then
> moving to the end (M->) is instantaneous for me.

Thanks for testing, that's what I would expect with Emacs 29 and
later.